Subject: bug#24450: [PATCHv2] Re: pypi importer outputs strange character series in optional dependency case.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 27 May 2019 16:48:43 +0200

Hi Maxim,

> Subject: [PATCH 1/9] import: pypi: Do not consider requirements.txt files.
>
> * guix/import/pypi.scm (guess-requirements): Update comment.
> [guess-requirements-from-source]: Do not attempt to parse the file
> requirements.txt.  Streamline logic.

Why remove the handling of the requirements.txt?  Is it no longer
popular enough to expect its availability in the source archives?

Please also mention in the commit message that and how you adjusted the
tests.  You removed the comments from the example requires.txt — are
comments no longer permitted in these files?  If they are, please don’t
include those changes.

--
Ricardo